<cartaporte20:CartaPorte TranspInternac="{{transp_inter}}" Version="{{version}}" TotalDistRec="{{totaldistance}}"{%- if move.transpInter==1 %} EntradaSalidaMerc="{{move.estadoMerc}}"{%- endif %}{%- if move.transpInter==1 %} ViaEntradaSalida="{{move.viaMerc.code}}"{%- endif %}>
    <cartaporte20:Ubicaciones>
    {% for ubication in ubications %}
        {%- set rfc_ubication = '' %}
        {%- set name_ubication = '' %}
        {%- set idcode = "" %}
        {%- if ubication.ubication_type == 'Destino' %}
            {%- set rfc_ubication = receptor.vat %}
            {%- set name_ubication = receptor.name %}
            {%- if ubication.code_ubication != '' and ubication.code_ubication  %}
                {%- set idcode = "DE" + ubication.code_ubication %}
            {%- endif %}
        {%- else %}
            {%- if ubication.client_address %}
                {%- set rfc_ubication = receptor.vat %}
                {%- set name_ubication = receptor.name %}
            {%- else %}
                {%- set rfc_ubication = emisor.vat %}
                {%- set name_ubication = emisor.name %}
            {%- endif %}
            {%- if ubication.code_ubication != '' and ubication.code_ubication  %}
                {%- set idcode = "OR" + ubication.code_ubication %}
            {%- endif %}
        {%- endif %}
        <cartaporte20:Ubicacion{%- if idcode != '' %} IDUbicacion="{{idcode}}"{%- endif %} TipoUbicacion="{{ubication.ubication_type}}" RFCRemitenteDestinatario="{{rfc_ubication}}" NombreRemitenteDestinatario="{{name_ubication}}" FechaHoraSalidaLlegada="{{ubication.date_time_transport_fomart}}" {%- if ubication.ubication_type == 'Destino'%} DistanciaRecorrida="{{ubication.distance}}"{%- endif %}>
            {%- set ubication_country = ubication.delivery_departure_point.country_id.code %}
            {%- set ubication_state = '' %}
            {%- set ubication_municip = '' %}
            {%- set ubication_locality = '' %}
            {%- set ubication_township = '' %}
            {%- set ubication_cp = '' %}
            {%- if ubication_country == 'MX' %}
                {%- set ubication_state = ubication.delivery_departure_point.state_id.code %}
                {%- set ubication_municip = ubication.delivery_departure_point.city_id.l10n_mx_edi_code %}
                {%- set ubication_locality = ubication.delivery_departure_point.l10n_mx_edi_locality_id.code %}
                {%- set ubication_township = ubication.delivery_departure_point.l10n_mx_edi_colony %}
                {%- set ubication_cp = ubication.delivery_departure_point.zip %}
                {%- set ubication_country = 'MEX' %}
            {%- endif %}
            <cartaporte20:Domicilio Calle="{{ubication.delivery_departure_point.street_name}}"{%- if ubication.delivery_departure_point.street_number!="" and ubication.delivery_departure_point.street_number %} NumeroExterior="{{ubication.delivery_departure_point.street_number}}"{% endif %}{%- if ubication.delivery_departure_point.street_number2!="" and ubication.delivery_departure_point.street_number2 %} NumeroInterior="{{ubication.delivery_departure_point.street_number2}}"{% endif %}{%- if ubication_township!="" and ubication_township %} Colonia="{{ubication_township}}"{% endif %}{%- if ubication_locality!="" and ubication_locality %} Localidad="{{ubication_locality}}"{% endif %}{%- if ubication_municip!="" and ubication_municip %} Municipio="{{ubication_municip}}"{% endif %} Estado="{{ubication_state}}" Pais="{{ubication_country}}" CodigoPostal="{{ubication_cp}}" />
        </cartaporte20:Ubicacion>
    {% endfor %}
    </cartaporte20:Ubicaciones>
    <cartaporte20:Mercancias UnidadPeso="KGM" PesoBrutoTotal="{{totalkg}}" NumTotalMercancias="{{total_mercancias}}" >
        {% for m in mercancias %}
        {%- if m.code_sat_CP_id.warning == '1' or (m.code_sat_CP_id.warning == '0,1' and m.warning_material_id) %}
        {%- set warning_text = "Si" %}
        {%- else %}
        {%- set warning_text = "No" %}
        {%- endif %}
        <cartaporte20:Mercancia BienesTransp="{{m.code_sat_CP_id.code}}" Descripcion="{{m.name}}" Cantidad="{{m.quantity}}" ClaveUnidad="{{m.code_sat_uom_id.code}}"{%- if m.code_sat_CP_id.warning != '0' %} MaterialPeligroso="{{warning_text}}"{%- endif %}{%- if warning_text == 'Si' %} CveMaterialPeligroso="{{m.warning_material_id.code}}"{%- endif %}{% if warning_text == 'Si' %} Embalaje="{{m.packaging_id.code}}" DescripEmbalaje="{{m.packaging_id.name}}"{%- endif %} PesoEnKg="{{m.kg_weigth}}" ValorMercancia="{{m.merch_value}}" Moneda="{{move.currency_id.name}}"{%- if move.transpInter==1 %} FraccionArancelaria=""{%- endif %}{%- if move.transpInter==1 and move.estadoMerc=="Salida" %} UUIDComercioExt=""{%- endif %}>
            {% for item in m.item_ubication_ids %}
            {%- set origin = 'OR' + item.origin_code %}
            {%- set destiny = 'DE' + item.destiny_code %}
            <cartaporte20:CantidadTransporta Cantidad="{{item.quantity}}" IDOrigen="{{origin}}" IDDestino="{{destiny}}"/>
            {% endfor %}
        </cartaporte20:Mercancia>
        {% endfor %}
        <cartaporte20:Autotransporte PermSCT="{{vehicle.permSCT.code}}" NumPermisoSCT="{{vehicle.numpermSCT}}" >
            <cartaporte20:IdentificacionVehicular ConfigVehicular="{{vehicle.vehicleConfig.code}}" PlacaVM="{{vehicle.vehicleLicense}}" AnioModeloVM="{{vehicle.vehicleYear}}" />
            <cartaporte20:Seguros AseguraRespCivil="{{vehicle.nameInsurance}}" PolizaRespCivil="{{vehicle.numPolicy}}"/>
            {%- if trailers|length > 0 and vehicle.vehicleConfig.trailer != '0' %}
            <cartaporte20:Remolques>
                {% for trailer in trailers %}
                <cartaporte20:Remolque SubTipoRem="{{trailer.subtype.code}}" Placa="{{trailer.trailer_license}}"/>
                {% endfor %}
            </cartaporte20:Remolques>
            {%- endif %}
        </cartaporte20:Autotransporte>
    </cartaporte20:Mercancias>
    <cartaporte20:FiguraTransporte>
        {% for operator in operators %}
            {%- set code_op = "" %}
            {%- if operator.carrier_type == 'Operador' %}
            {%- set code_op = '01' %}
            {%- endif %}
            {%- if operator.carrier_type == 'Propietario' %}
            {%- set code_op = '02' %}
            {%- endif %}
            {%- if operator.carrier_type == 'Arrendador' %}
            {%- set code_op = '03' %}
            {%- endif %}
            {%- if operator.carrier_type == 'Notificado' %}
            {%- set code_op = '04' %}
            {%- endif %}
            <cartaporte20:TiposFigura{%- if code_op == '01' %} NumLicencia="{{operator.numLicense}}"{%- endif %} NombreFigura="{{operator.name}}" RFCFigura="{{operator.vat}}" TipoFigura="{{code_op}}"/>
            {%- if code_op == '02' %}
                <cartaporte20:PartesTransporte ParteTransporte="{{operator.transport_property_id.code}}" />
            {%- endif %}
        {% endfor %}
    </cartaporte20:FiguraTransporte>
</cartaporte20:CartaPorte>